<?php

if ( $wyslany_formularz ) {

  if ( $_POST['dodaj_termin'] and !empty($_POST['termin']) and !empty($_POST['definicja']) ) {
    $_POST['termin'] = htmlspecialchars($_POST['termin']);
    if ( $_POST['edytowane'] != '' )
      $zawartosc['terminy'][$_POST['edytowane']] = array( 'termin' => $_POST['termin'], 'definicja' => $_POST['definicja'] ) ;
    else
      $zawartosc['terminy'][] = array( 'termin' => $_POST['termin'], 'definicja' => $_POST['definicja'] ) ;
    $komunikat = 'dob.Termin został zapisany.';
  }
  
  if ( $_POST['usun_termin'] and $_POST['usuwane'] != '' ) {
    unset( $zawartosc['terminy'][ $_POST['usuwane'] ] );
    $komunikat = 'dob.Termin został usunięty.';
  }
  
}

elseif ( $panel_administracyjny ) {

  if ( is_numeric($_GET['edycja']) and isset($zawartosc['terminy'][$_GET['edycja']]) ) {
    $edycja = true;
    $edycja_numer = $_GET['edycja'];
    $edycja_termin = $zawartosc['terminy'][$edycja_numer]['termin'];
    $edycja_definicja = $zawartosc['terminy'][$edycja_numer]['definicja'];
  }
  else
    $edycja = false;

?>

<form method="post">

<table>

<caption><?php echo ($edycja) ? 'Edycja terminu' : 'Dodawanie terminu' ?></caption>

<tr> <td>Termin:</td> <td><input type="text" name="termin" <?php if ($edycja) { echo 'value="' . $edycja_termin . '"'; } ?> required /></td> </tr>
<tr> <td>Definicja:</td> <td><textarea name="definicja" required><?php if ($edycja) { echo $edycja_definicja; } ?></textarea></td> </tr>

</table>

<?php if ($edycja) { ?><input type="hidden" name="edytowane" value="<?php echo $edycja_numer ?>" /><?php } ?>
<input type="hidden" name="dodaj_termin" value="1" />

<p class="submit">
<input type="submit" value="<?php echo ($edycja) ? 'Zapisz termin' : 'Dodaj termin' ?>" />
<?php if ($edycja) { ?><a href="<?php echo $z ?>">Nowy termin</a><?php } ?>
</p>

</form>

<form method="post">

<table>

<caption>Istniejące terminy</caption>

<tr> <th>Termin</th> <th>Definicja</th> <th class="waska-kolumna">Usuwanie</th> </tr>

<?php
if ( count($zawartosc['terminy']) == 0 )
  echo '<tr> <td colspan="3">Brak terminów.</td> </tr>';
else {
  foreach ( $zawartosc['terminy'] as $numer => $element ) {
    echo '<tr> <td> <a href="' . $z . '&edycja=' . $numer . '">' . tekst($element['termin'],false) . '</a> </td> <td>' . fragment($element['definicja']) . '</td> <td class="waska-kolumna"><input type="radio" name="usuwane" value="' . $numer . '" /></td> </tr>' . "\n";
  }
}
?>

<tr> <td></td> <td></td> <td class="waska-kolumna"><input type="submit" value="Usuń" onclick="return confirm('Czy na pewno chcesz usunąć termin?\nTa operacja jest nieodwracalna.')" /></td> </tr>

</table>

<input type="hidden" name="usun_termin" value="1" />

</form>

<?php
}